Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Rearranged ELPA code/docs.

  • Loading branch information...
commit 77e270ba6fc8a55b57d5a156cc381f86cdf83856 1 parent a9e12ca
@technomancy authored
View
11 README.markdown
@@ -2,15 +2,15 @@
This should provide a saner set of defaults than you get normally with
Emacs. It's intended for beginners, but it should provide a reasonable
-working environment for anyone using Emacs.
+working environment for anyone using Emacs for dynamic languages.
## Installation
-1. Install Emacs
+1. Install Emacs (at least version 22)
Use your package manager if you have one.
Otherwise, Mac users should get it [from Apple](http://www.apple.com/downloads/macosx/unix_open_source/carbonemacspackage.html).
Windows users can get it [from GNU](http://ftp.gnu.org/gnu/emacs/windows/emacs-22.3-bin-i386.zip).
-2. Move this directory to ~/.emacs.d
+2. Move the directory containing this file to ~/.emacs.d
3. Launch Emacs!
If you are missing some autoloads after an update (should manifest
@@ -27,7 +27,8 @@ Libraries from ELPA (http://tromey.com/elpa) are preferred when
available since dependencies are handled automatically, and the burden
to update them is removed from the user.
-See TODO for a list of libraries that are pending submission to ELPA.
+See starter-kit-elpa.el for a list of libraries that are pending
+submission to ELPA.
## Contributing
@@ -36,3 +37,5 @@ replacement for your regular dotfiles for a while. If there's anything
you just can't live without, add it or let me know so I can add it.
Also: see the file TODO.
+
+The latest version is at http://github.com/technomancy/emacs-starter-kit/
View
33 TODO
@@ -1,38 +1,11 @@
TODO:
Start custom ELPA server
-Add bleeding-edge package support to elpa?
-look up http://www.emacswiki.org/cgi-bin/emacs-en/CommandLogMode
+Submit the packages in starter-kit-elpa.el to ELPA.
-to add to elpa:
-* ruby-electric
-* ruby-compilation
-
-* color-theme (zenburn + vivid chalk)
-* htmlize
-
-* cheat
-* gist
-* lisppaste
-* scpaste
-* magit
-* yaml (make rinari require it)
-
-* nxhtml (remove bundled deps)
-* rinari
-* jabber (need to contact maintainers)
-* slime
-* pg
-
-Check the list of elpa packages periodically to make sure they're all
-up to date:
-* ruby-mode
-* inf-ruby
-* idle-highlight
-* js2-mode
-* css
-* ert
+Check each of starter-kit-packages periodically to make sure they're
+all up to date.
maybe include:
* pcmpl-rake (or put it in another file; it's only 2 functions)
View
4 elpa-to-submit/markdown-mode.el
@@ -1007,6 +1007,7 @@ This is an exact copy of line-number-at-pos for use in emacs21."
(interactive)
(message "markdown-mode, version %s" markdown-mode-version))
+;;;###autoload
(define-derived-mode markdown-mode text-mode "Markdown"
"Major mode for editing Markdown files."
;; Font lock.
@@ -1021,7 +1022,8 @@ This is an exact copy of line-number-at-pos for use in emacs21."
;; Cause use of ellipses for invisible text.
(add-to-invisibility-spec '(outline . t)))
-;(add-to-list 'auto-mode-alist '("\\.text$" . markdown-mode))
+;;;###autoload
+(add-to-list 'auto-mode-alist '("\\.markdown$" . markdown-mode))
(provide 'markdown-mode)
View
1  elpa/.gitignore
@@ -0,0 +1 @@
+*
View
2  init.el
@@ -14,9 +14,9 @@
(setq dotfiles-dir (file-name-directory
(or (buffer-file-name) load-file-name)))
(add-to-list 'load-path dotfiles-dir)
-(add-to-list 'load-path (concat dotfiles-dir "/elpa"))
(add-to-list 'load-path (concat dotfiles-dir "/elpa-to-submit"))
(setq autoload-file (concat dotfiles-dir "loaddefs.el"))
+(setq package-user-dir (concat dotfiles-dir "elpa"))
;; These should be loaded on startup rather than autoloaded on demand
;; since they are likely to be used in every session:
View
0  elpa/package.el → package.el
File renamed without changes
View
29 starter-kit-elpa.el
@@ -1,3 +1,30 @@
-;;; starter-kit-elpa.el ---
+;;; starter-kit-elpa.el --- Install a base set of packages automatically.
;;
;; Part of the Emacs Starter Kit
+
+(defvar starter-kit-packages '("idle-highlight"
+ "ruby-mode"
+ "inf-ruby"
+ "js2-mode"
+ "css-mode"
+ "ert"
+ ;; To submit:
+;;; "clojure-mode"
+;;; "cheat"
+;;; "gist"
+;;; "lisppaste"
+;;; "magit"
+;;; "yaml"
+;;; "paredit"
+;;; "html-fontify"
+;;; "color-theme"
+;;; "color-theme-zenburn"
+;;; "color-theme-vivid-chalk"
+ ;; Complicated ones:
+;;; "nxhtml"
+;;; "rinari"
+;;; "jabber"
+;;; "slime"
+;;; "swank-clojure"
+ )
+ "Libraries that should be installed by default.")
Please sign in to comment.
Something went wrong with that request. Please try again.